summaryrefslogtreecommitdiffstats
path: root/ci/01-bootstrap.sh
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-08-02 08:56:54 -0500
committerNarinder Gupta <narinder.gupta@canonical.com>2016-08-02 09:13:41 -0500
commit947016a2eb2be266c8eaf183ea904b2bc204776b (patch)
treea94e02f7b7eaddbd4d8d1856bbd490d3b929f083 /ci/01-bootstrap.sh
parent7c92a769fd2f01bb207f8f2b4099be450d3cc07a (diff)
clenup the naming convention of the scripts and modify not to use
variable directly. Change-Id: I234b53010a32c3b1f0daef507585dde4652616eb Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci/01-bootstrap.sh')
-rwxr-xr-xci/01-bootstrap.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/ci/01-bootstrap.sh b/ci/01-bootstrap.sh
new file mode 100755
index 00000000..59a22197
--- /dev/null
+++ b/ci/01-bootstrap.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -ex
+
+#export JUJU_DEV_FEATURE_FLAGS=address-allocation
+
+juju bootstrap --debug --to bootstrap.maas
+sleep 5
+#disable juju gui until xenial charms are in charm store.
+juju deploy cs:juju-gui-130 --to 0
+
+JUJU_REPOSITORY=
+juju set-constraints tags=
+